﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using DxLibDLL;

namespace DxLibDotnetTest
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
//            Application.EnableVisualStyles();
//            Application.SetCompatibleTextRenderingDefault(false);
//            Application.Run(new Form1());

            int GraphHandle ;
            int SoundHandle ;

            // ウインドウモードで起動
            DX.ChangeWindowMode(DX.TRUE);

            // ＤＸライブラリの初期化
            if (DX.DxLib_Init() < 0)
            {
                return;
            }

            // 画像の読み込み
            GraphHandle = DX.LoadGraph("dxatest\\Test1.bmp");

            // サウンドの読み込み
            SoundHandle = DX.LoadSoundMem("dxatest\\Test.wav");

            // 描画先を裏画面にする
            DX.SetDrawScreen(DX.DX_SCREEN_BACK);

            // サウンドのループ再生
            DX.PlaySoundMem(SoundHandle, DX.DX_PLAYTYPE_LOOP);

            // メインループ(何かキーが押されたらループを抜ける)
            while (DX.ProcessMessage() == 0)
            {
                // 画面のクリア
                DX.ClearDrawScreen();

                // 画像の描画
                DX.DrawGraph(0, 0, GraphHandle, DX.TRUE);

                // 裏画面の内容を表画面に反映
                DX.ScreenFlip();
            }

            // ＤＸライブラリの後始末
            DX.DxLib_End();
        }
    }
}
